Bug 698400 - Printer Settings on Windows Client are not applied after update to samba3.5
Printer Settings on Windows Client are not applied after update to samba3.5
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: samba3x (Show other bugs)
5.6
x86_64 Linux
high Severity high
: rc
: ---
Assigned To: Guenther Deschner
qe-baseos-daemons
:
Depends On:
Blocks: 703393
  Show dependency treegraph
 
Reported: 2011-04-20 15:49 EDT by Andrea Cavallari
Modified: 2011-08-05 07:22 EDT (History)
5 users (show)

See Also:
Fixed In Version: samba3x-3.5.4-0.80.el5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 703393 (view as bug list)
Environment:
Last Closed: 2011-07-21 03:27:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Print screen: windows printer properties (494.50 KB, application/msword)
2011-04-20 15:49 EDT, Andrea Cavallari
no flags Details
sosreport from print server host (3.49 MB, application/x-bzip2)
2011-04-20 15:53 EDT, Andrea Cavallari
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Samba Project 6727 None None None Never
Samba Project 7284 None None None Never

  None (edit)
Description Andrea Cavallari 2011-04-20 15:49:01 EDT
Created attachment 493609 [details]
Print screen: windows printer properties

Description of problem:

Changing printers settings for printers shared via a Samba/Cups print Server in Windows client side are not being saved.

Example: Paper type is defined and when you click "apply" or "ok" it is not saved.

It was working fine with Samba3.0

Printer details (it is a plotter):

<Printer DVD8>
Info HP Designjet 4000ps - TIC/INFRA-TIC/TIC-ES
Location Vitoria/UFES/Ed. Mata da Praia/Hall/3ºPiso - TIC/INFRA-TIC/TIC-ES
DeviceURI socket://PL000407:9100
State Idle
StateTime 1301942347
Accepting Yes
Shared Yes
JobSheets none none
QuotaPeriod 0
PageLimit 0
KLimit 0
OpPolicy default
ErrorPolicy retry-job
</Printer>


Version-Release number of selected component (if applicable):

samba3x-3.3.8-0.51.el5.x86_64    
samba3x-client-3.3.8-0.51.el5.x86_64
samba3x-common-3.3.8-0.51.el5.x86_64
samba3x-winbind-3.3.8-0.51.el5.x86_64

cups-1.3.7-18.el5.x86_64  
cups-libs-1.3.7-18.el5.i386
cups-libs-1.3.7-18.el5.x86_64
cups-lpd-1.3.7-18.el5.x86_64 
hal-cups-utils-0.6.2-5.2.el5.x86_64

How reproducible:
All the time we can try to change the paper type for this printer and it is never saved.

Steps to Reproduce:
1.Open the Printers folder.
2.Right-click on the printer (remoteprinter on cupshost) and select the context menu Properties.
3.Click on the Advanced tab. (If everything is “grayed out,” then you are not logged in as a user with enough privileges).
4. Click on the Printing Defaults... button.
5. Try to change the papaer type.

 
Actual results:
You select the papaer you need but it is not saved. You can not print you job using a wrong papaer. Customer can not print correctly. No error message is logged.

Expected results:
You select the paper type and it is saved. You can print your job using the correct paper as used to do in samba3.0.

Additional info:

The same printer in the same server using samba3.0 was working fine. After update to samba3.x (3.5) the problem related with printer settings changed via Windows appeared.

I've suggested to customer try different drivers and check if behavior changes:


**Windows XP**

PostScript Driver
Version: 	61.094.365.41 (16 Feb 2010)

http://h20000.www2.hp.com/bizsupport/TechSupport/SoftwareDescription.jsp?lang=en&cc=us&prodTypeId=18972&prodSeriesId=431039&prodNameId=431042&swEnvOID=228&swLang=8&mode=2&taskId=135&swItem=pl-28280-5


HP-GL/2 and HP RTL Driver
Version: 	7.10 (16 Feb 2010)

http://h20000.www2.hp.com/bizsupport/TechSupport/SoftwareDescription.jsp?lang=en&cc=us&prodTypeId=18972&prodSeriesId=431039&prodNameId=431042&swEnvOID=228&swLang=8&mode=2&taskId=135&swItem=pl-28111-6



**Windows XP Professional x64 Edition**

HP-GL2, RTL, PS
Version: 	7.10 (30 Apr 2010)

http://h20000.www2.hp.com/bizsupport/TechSupport/SoftwareDescription.jsp?lang=en&cc=us&prodTypeId=18972&prodSeriesId=431039&prodNameId=431042&swEnvOID=2002&swLang=8&mode=2&taskId=135&swItem=pl-58862-3


PostScript Driver
Version: 	61.094.365.41 (16 Feb 2010)

http://h20000.www2.hp.com/bizsupport/TechSupport/SoftwareDescription.jsp?lang=en&cc=us&prodTypeId=18972&prodSeriesId=431039&prodNameId=431042&swEnvOID=2002&swLang=8&mode=2&taskId=135&swItem=pl-51948-4


But it didn't change. Even using a different HP driver, the behavior is the same: paper type can not be defined (customer define the papaer type he wants but it is not saved and customer can not print with wrong paper type).

Also, I suggested some rpcclient commands to ensure that printer has the correct driver assigned. But no success.


I've found two bug reports in bugzilla.samba that reflects the same behavior (just for another model of printer):

Bug 7284 - Printer Settings on Windows Client are not applied 
https://bugzilla.samba.org/show_bug.cgi?id=7284

Bug 6727 - Printer issues on 3.4.x and 3.5.x 
https://bugzilla.samba.org/show_bug.cgi?id=6727

Both are fixed in samba.org. 

Customer said that it was working using samba3.0 and Post Script driver. After update to samba3.5 it broken.

There is any chance to inlcude these fixes in samba3.5 shipped with RHEL 5.6? 
Is it a regression?
Comment 1 Andrea Cavallari 2011-04-20 15:53:32 EDT
Created attachment 493610 [details]
sosreport from print server host

Also, I've attached sosreport from print server host.

The problem happens using Windows XP clients (all Service Packs, 32 and 64 bits) and Windows 2000 Server. So, it seems not a Windows particulary due it happens in all archs and different versions.
Comment 2 Andrea Cavallari 2011-04-20 15:54:41 EDT
Additional info: Samba is proving the drivers to Windows clients. The user logged in windows station is authrized to change settings.
Comment 19 errata-xmlrpc 2011-07-21 03:27:36 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2011-1007.html

Note You need to log in before you can comment on or make changes to this bug.